=== modified file 'lib/libTrie/configure.in'
--- lib/libTrie/configure.in	2009-11-24 12:26:08 +0000
+++ lib/libTrie/configure.in	2009-12-01 16:35:15 +0000
@@ -56,6 +56,7 @@
 AM_INIT_AUTOMAKE(libTrie, 0.1)
 AM_MAINTAINER_MODE
 AC_PROG_RANLIB
+AC_CANONICAL_HOST
 
 dnl set useful flags
 if test "$GCC" = "yes"; then
@@ -87,6 +88,30 @@
 
 # Checks for library functions.
 
+# opensolaris/sunstudioCC specific kludge
+case $host_os in
+  *solaris2*)
+    if test "$GCC" = "yes; then
+      LIBS="$LIBS -lstdc++"
+    else
+  
+      for dir in /opt/SunStudioExpress/lib /opt/SunStudioExpress/lib/CC4 
+      do
+        test -d $dir && LDFLAGS="$LDFLAGS -L$dir"
+      done
+      AC_LANG_PUSH([C])
+      AC_SEARCH_LIBS([_ex_register],[Crun])
+      AC_SEARCH_LIBS([__SUNW_init_iostreams],[Cstd])
+      AC_SEARCH_LIBS([_ex_alloc],[C])
+      AC_SEARCH_LIBS([cplus_demangle_builtin_types],[stdc++])
+      AC_LANG_POP([C])
+    fi
+  ;;
+  *)
+  ;;
+esac
+
+
 AC_CONFIG_FILES([Makefile
                  include/Makefile
                  src/Makefile

